Package org.eclipse.m2m.atl.core.service

## Class CoreService

- java.lang.Object
- - org.eclipse.m2m.atl.core.service.CoreService

    public final class CoreService
    extends java.lang.Object

The CoreService utility class provides a way to use extension points in order to retrieve the needed extensions:

- `ILauncher`
- `IInjector`
- `IExtractor`
- `ModelFactory`

For each extension class type, a method returns the list of all detected extensions names.

### Method Summary

All Methods Static Methods Concrete Methods Deprecated Methods
`static ModelFactory` `createModelFactory​(java.lang.String name)` Deprecated. Use `getModelFactory(String)` instead.
`static java.lang.String` `getCompatibleLauncherName​(java.lang.String name)` Converts the old Regular-VM name.
`static IExtractor` `getExtractor​(java.lang.String name)` Returns the extractors matching the given name.
`static java.lang.String[]` `getExtractorsNames()` Returns the available extractors names.
`static IInjector` `getInjector​(java.lang.String name)` Returns the injector matching the given name.
`static java.lang.String[]` `getInjectorsNames()` Returns the available injectors names.
`static ILauncher` `getLauncher​(java.lang.String name)` Returns the launcher matching the given name.
`static java.util.Map<java.lang.String,​java.lang.String>` `getLauncherOptions​(java.lang.String launcherName)` Returns the options Map (id, description) for the given launcher.
`static java.util.Map<java.lang.String,​java.lang.String>` `getLauncherOptions​(java.lang.String launcherName, java.lang.String mode)` Returns the options Map (id, description) for the given launcher, in the given mode.
`static java.lang.String[]` `getLaunchersNames()` Returns the available launchers names.
`static java.lang.String[]` `getLaunchersNames​(java.lang.String mode)` Returns the available launchers names.
`static java.lang.String[]` `getModelFactoriesNames()` Returns the available model factories names.
`static ModelFactory` `getModelFactory​(java.lang.String name)` Creates a new `ModelFactory` with the given name.
`static boolean` `isEclipseRunning()` Tests if eclipse is running.
`static void` `registerExtractor​(java.lang.String extractorName, java.lang.Class<? extends IExtractor> extractorClass)` Registers an extractor in the extractorRegistry.
`static void` `registerExtractor​(java.lang.String name, IExtractor extractor)` Deprecated. Use `registerExtractor(String, Class)` instead.
`static void` `registerFactory​(java.lang.String name, java.lang.Class<? extends ModelFactory> factoryClass)` Registers a factory in the factoryRegistry.
`static void` `registerInjector​(java.lang.String injectorName, java.lang.Class<? extends IInjector> injectorClass)` Registers an injector in the injectorRegistry.
`static void` `registerInjector​(java.lang.String name, IInjector injector)` Deprecated. Use `registerInjector(String, Class)` instead.
`static void` `registerLauncher​(java.lang.String launcherName, java.lang.Class<? extends ILauncher> launcherClass)` Registers a launcher in the launcherRegistry.
`static void` `registerLauncher​(ILauncher launcher)` Deprecated. Use `registerLauncher(String, Class)` instead.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### registerLauncher

    public static void registerLauncher​(ILauncher launcher)

Deprecated.
Use `registerLauncher(String, Class)` instead.
Registers a launcher in the launcherRegistry.

Parameters:
  `launcher` - the launcher

#### registerLauncher

    public static void registerLauncher​(java.lang.String launcherName,
                                        java.lang.Class<? extends ILauncher> launcherClass)

Registers a launcher in the launcherRegistry.

Parameters:
  `launcherName` - the launcher name
  `launcherClass` - the launcher class

#### registerInjector

    public static void registerInjector​(java.lang.String name,
                                        IInjector injector)

Deprecated.
Use `registerInjector(String, Class)` instead.
Registers an injector in the injectorRegistry.

Parameters:
  `name` - the injector name
  `injector` - the injector

#### registerInjector

    public static void registerInjector​(java.lang.String injectorName,
                                        java.lang.Class<? extends IInjector> injectorClass)

Registers an injector in the injectorRegistry.

Parameters:
  `injectorName` - the injector name
  `injectorClass` - the injector class

#### registerExtractor

    public static void registerExtractor​(java.lang.String name,
                                         IExtractor extractor)

Deprecated.
Use `registerExtractor(String, Class)` instead.
Registers an extractor in the extractorRegistry.

Parameters:
  `name` - the extractor name
  `extractor` - the extractor

#### registerExtractor

    public static void registerExtractor​(java.lang.String extractorName,
                                         java.lang.Class<? extends IExtractor> extractorClass)

Registers an extractor in the extractorRegistry.

Parameters:
  `extractorName` - the extractor name
  `extractorClass` - the extractor class

#### registerFactory

    public static void registerFactory​(java.lang.String name,
                                       java.lang.Class<? extends ModelFactory> factoryClass)

Registers a factory in the factoryRegistry.

Parameters:
  `name` - the factory name
  `factoryClass` - the factory class

#### createModelFactory

    public static ModelFactory createModelFactory​(java.lang.String name)
                                           throws ATLCoreException

Deprecated.
Use `getModelFactory(String)` instead.
Creates a new `ModelFactory` with the given name.

Parameters:
  `name` - the factory name
Returns:
  the new ModelFactory
Throws:
  `ATLCoreException`

#### getModelFactory

    public static ModelFactory getModelFactory​(java.lang.String name)
                                        throws ATLCoreException

Creates a new `ModelFactory` with the given name.

Parameters:
  `name` - the factory name
Returns:
  the new ModelFactory
Throws:
  `ATLCoreException`

#### getLauncher

    public static ILauncher getLauncher​(java.lang.String name)
                                 throws ATLCoreException

Returns the launcher matching the given name.

Parameters:
  `name` - the launcher name
Returns:
  the launcher matching the given name
Throws:
  `ATLCoreException`

#### getInjector

    public static IInjector getInjector​(java.lang.String name)
                                 throws ATLCoreException

Returns the injector matching the given name.

Parameters:
  `name` - the injector name
Returns:
  the injector matching the given name
Throws:
  `ATLCoreException`

#### getExtractor

    public static IExtractor getExtractor​(java.lang.String name)
                                   throws ATLCoreException

Returns the extractors matching the given name.

Parameters:
  `name` - the extractors name
Returns:
  the extractors matching the given name
Throws:
  `ATLCoreException`

#### getLaunchersNames

    public static java.lang.String[] getLaunchersNames()

Returns the available launchers names.

Returns:
  the available launchers names

#### getLaunchersNames

    public static java.lang.String[] getLaunchersNames​(java.lang.String mode)

Returns the available launchers names.

Parameters:
  `mode` - the launch mode restriction
Returns:
  the available launchers names

#### getInjectorsNames

    public static java.lang.String[] getInjectorsNames()

Returns the available injectors names.

Returns:
  the available injectors names

#### getExtractorsNames

    public static java.lang.String[] getExtractorsNames()

Returns the available extractors names.

Returns:
  the available extractors names

#### getModelFactoriesNames

    public static java.lang.String[] getModelFactoriesNames()

Returns the available model factories names.

Returns:
  the available model factories names

#### getLauncherOptions

    public static java.util.Map<java.lang.String,​java.lang.String> getLauncherOptions​(java.lang.String launcherName)

Returns the options Map (id, description) for the given launcher.

Parameters:
  `launcherName` - the launcher name
Returns:
  the options Map

#### getLauncherOptions

    public static java.util.Map<java.lang.String,​java.lang.String> getLauncherOptions​(java.lang.String launcherName,
                                                                                            java.lang.String mode)

Returns the options Map (id, description) for the given launcher, in the given mode.

Parameters:
  `launcherName` - the launcher name
  `mode` - the launch mode
Returns:
  the options Map

#### getCompatibleLauncherName

    public static java.lang.String getCompatibleLauncherName​(java.lang.String name)

Converts the old Regular-VM name.

Parameters:
  `name` - the launcher name
Returns:
  the converted name

#### isEclipseRunning

    public static boolean isEclipseRunning()

Tests if eclipse is running.

Returns:
  `true` if eclipse is running